# PointerSignalKind enum

The kind of `PointerDeviceKind.signal`.

## Constants

none → const PointerSignalKind

  The event is not associated with a pointer signal.

  `const PointerSignalKind(0)`
scroll → const PointerSignalKind

  A pointer-generated scroll (e.g., mouse wheel or trackpad scroll).

  `const PointerSignalKind(1)`
unknown → const PointerSignalKind

  An unknown pointer signal kind.

  `const PointerSignalKind(2)`
values → const List<PointerSignalKind>

  A constant List of the values in this enum, in order of their declaration.

  `const List<PointerSignalKind>`

## Properties

index → int

  The integer index of this enum.

  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited